Skip to main content

This browser is no longer supported.

Upgrade to Microsoft Edge to take advantage of the latest features, security updates, and technical support.

Download Microsoft Edge More info about Internet Explorer and Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Insights

Get an insight

GET /insights/{id}

Retrieves the specified insight report and its results.

Header parameters

Foundry-Features enum

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

Insights=V1Preview

Query parameters

includeCoordinates boolean

Whether to include coordinates for visualization in the response. Defaults to false.

api-version string required

The API version to use for this operation.

Path parameters

id string required

The unique identifier for the insights report.

Responses

The request has succeeded.

Body

Content-Type: application/json
id string required

The unique identifier for the insights report.

metadata InsightsMetadata required

Metadata about the insights.

createdAt string required

The timestamp when the insights were created.

completedAt string

The timestamp when the insights were completed.

state enum | string required

Enum describing allowed operation states.

Any of the following:
enum
NotStartedRunningSucceededFailedCanceled
string
displayName string required

User friendly display name for the insight.

request EvaluationRunClusterInsight | AgentClusterInsight | EvaluationComparison required

The request of the insights report.

One of the following:
EvaluationRunClusterInsight EvaluationRunClusterInsightRequest

Insights on set of Evaluation Results

type enum required

The type of insights request.

EvaluationRunClusterInsight
evalId string required

Evaluation Id for the insights.

runIds string[] required

List of evaluation run IDs for the insights.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string required

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

AgentClusterInsight AgentClusterInsightRequest

Insights on set of Agent Evaluation Results

type enum required

The type of request.

AgentClusterInsight
agentName string required

Identifier for the agent.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string required

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

EvaluationComparison EvaluationComparisonInsightRequest

Evaluation Comparison Request

type enum required

The type of request.

EvaluationComparison
evalId string required

Identifier for the evaluation.

baselineRunId string required

The baseline run ID for comparison.

treatmentRunIds string[] required

List of treatment run IDs for comparison.

result EvaluationComparison | EvaluationRunClusterInsight | AgentClusterInsight

The result of the insights.

One of the following:
EvaluationComparison EvaluationComparisonInsightResult

Insights from the evaluation comparison.

type enum required

The type of insights result.

EvaluationComparison
comparisons EvalRunResultComparison[] required

Comparison results for each treatment run against the baseline.

method string required

The statistical method used for comparison.

EvaluationRunClusterInsight EvaluationRunClusterInsightResult

Insights from the evaluation run cluster analysis.

type enum required

The type of insights result.

EvaluationRunClusterInsight
clusterInsight ClusterInsightResult required

Insights from the cluster analysis.

summary InsightSummary required

Summary of the error cluster analysis.

sampleCount integer required

Total number of samples analyzed.

uniqueSubclusterCount integer required

Total number of unique subcluster labels.

uniqueClusterCount integer required

Total number of unique clusters.

method string required

Method used for clustering.

usage ClusterTokenUsage required

Token usage for cluster analysis

inputTokenUsage integer required

input token usage

outputTokenUsage integer required

output token usage

totalTokenUsage integer required

total token usage

clusters InsightCluster[] required

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer required

X-axis coordinate.

y integer required

Y-axis coordinate.

size integer required

Size of the chart element.

AgentClusterInsight AgentClusterInsightResult

Insights from the agent cluster analysis.

type enum required

The type of insights result.

AgentClusterInsight
clusterInsight ClusterInsightResult required

Insights from the cluster analysis.

summary InsightSummary required

Summary of the error cluster analysis.

sampleCount integer required

Total number of samples analyzed.

uniqueSubclusterCount integer required

Total number of unique subcluster labels.

uniqueClusterCount integer required

Total number of unique clusters.

method string required

Method used for clustering.

usage ClusterTokenUsage required

Token usage for cluster analysis

inputTokenUsage integer required

input token usage

outputTokenUsage integer required

output token usage

totalTokenUsage integer required

total token usage

clusters InsightCluster[] required

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer required

X-axis coordinate.

y integer required

Y-axis coordinate.

size integer required

Size of the chart element.

Client error

Body

Content-Type: application/json
error OpenAI.Error required
code string | null required
message string required
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Any of the following:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string required

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Body

Content-Type: application/json
error OpenAI.Error required
code string | null required
message string required
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Any of the following:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string required

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Request

GET /insights/{id} HTTP/1.1

Response

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
en-us
Your Privacy Choices
  • AI Disclaimer
  • Previous Versions
  • Blog
  • Contribute
  • Privacy
  • Consumer Health Privacy
  • Terms of Use
  • Trademarks
  • © Microsoft 2026